> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# projectmembereventparticipantstatus

> List of project member event status fields.

## "projectmembereventparticipantstatus" MDO List

List of project member event status fields.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.ProjectMemberEventParticipantStatusProvider">ProjectMemberEventParticipantStatusProvider</see> class.
The name of the MDO list is 'projectmembereventparticipantstatus'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/projectmembereventparticipantstatus
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("projectmembereventparticipantstatus", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name        | StyleHint | ExtraInfo |
| -- | ----------- | --------- | --------- |
| 0  | Unknown     |           |           |
| 1  | Not reacted |           |           |
| 2  | Declined    |           |           |
| 3  | Registered  |           |           |
| 4  | Attending   |           |           |
| 5  | No-show     |           |           |

## Related MDO Lists

* "projectmembereventparticipantstatusheadings"
* "projectmembereventparticipantstatusheadingswithallitem"
* "projectmembereventparticipantstatusheadingswithallitemwithnoselection"
* "projectmembereventparticipantstatusheadingswithnoselection"
* "projectmembereventparticipantstatuswithallitem"
* "projectmembereventparticipantstatuswithallitemwithnoselection"
* "projectmembereventparticipantstatuswithnoselection"


## Related topics

- [Enum values for ProjectMemberEventParticipantStatus](/en/database/tables/enums/projectmembereventparticipantstatus.md)
- [SuperOffice.WebApi.Data.ProjectMemberEventParticipantStatus](/en/api/reference/webapi/SuperOffice.WebApi.Data.ProjectMemberEventParticipantStatus.md)
- [SuperOffice.WebApi.Data.ProjectMember](/en/api/reference/webapi/SuperOffice.WebApi.Data.ProjectMember.md)
- [projectmember table](/en/database/tables/projectmember.md)
- [Update Project Member](/en/api/reference/restful/agent/project_agent/update-project-member.md)
- [SaintProject](/en/api/archive-providers/reference/saintproject.md)
